Bug 1081564 - Need customer viewable way to determine when an update has been applied.
Summary: Need customer viewable way to determine when an update has been applied.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Productization
Version: JON 3.2.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR03
: JON 3.2.1
Assignee: Simeon Pinder
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-27 15:01 UTC by Simeon Pinder
Modified: 2014-06-30 12:50 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-05-08 17:43:47 UTC


Attachments (Terms of Use)
Customer viewable patch version example (18.38 KB, image/jpeg)
2014-04-02 04:10 UTC, Simeon Pinder
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1084890 None None None Never

Internal Trackers: 1084890

Comment 5 Simeon Pinder 2014-04-01 20:43:56 UTC
Moving to ON_QA as available for test in newest cumulative patch build from here:
http://jon01.mw.lab.eng.bos.redhat.com:8042/dist/release/jon/3.2.1.GA/4-01-2014/
I moved the earlier build to 3-18-2014.

Comment 6 Simeon Pinder 2014-04-02 04:10:36 UTC
Created attachment 881613 [details]
Customer viewable patch version example

Comment 7 Mike Foley 2014-04-02 12:52:07 UTC
This other BZ with 2nd invocation of the About Box is related and sort of affects this BZ.  I am not sure it is a flat out "FAILS QA" or not ... it works the 1st time, fails the 2nd time.  

https://bugzilla.redhat.com/show_bug.cgi?id=1083479

Comment 8 Simeon Pinder 2014-04-02 13:21:50 UTC
The BZ is reported against GA as well so it's not cumulative patch related.

Comment 9 Filip Brychta 2014-04-02 15:00:42 UTC
It is visible in the 'About' box

Version :	
3.2.0.GA update-1
Build Number :	
13f0eea:c372b58

but it would be nice to have the same output in CLI client.


Scenario:
1- run a CLI client against patched JON
./rhq-cli.sh -s fbr-jon32-cp1.bc.jonqe.lab.eng.bos.redhat.com -p rhqadmin -u rhqadmin

Output:
RHQ Enterprise Remote CLI 4.9.0.JON320GA
Remote server version is: 3.2.0.GA (13f0eea:c372b58)
Login successful


Expected result:
RHQ Enterprise Remote CLI 4.9.0.JON320GA update-1
Remote server version is: 3.2.0.GA update-1 (13f0eea:c372b58)
Login successful

Comment 10 Simeon Pinder 2014-04-02 16:04:44 UTC
Having the CLI (and agent potentially) report an updated product version was not initially discussed as a requirement.  Additionally, there are two different versions being discussed here:
1)Product/Release version: 3.2.0.GA -> 3.2.0.GA update-1
2)RHQ dependency version: 4.9.0.JON320GA

1)Is highly customer visible and should be changed, but 2) is actually a dependency of the product which can and is legitimately updated with version changes over time. I think it's fine to leave the CLI and agent version strings without 'update-1'.

@Alan, can you weigh in on: 
i)whether you would expect the CLI and Agent prompts to also support 'update-1' 
ii)if agree with i, whether that change could be pushed to CP2?

Comment 14 Filip Brychta 2014-04-07 07:13:06 UTC
UI part is verified. A new BZ was created to address CLI client part. See bz 1084890

Comment 15 Mike Foley 2014-05-08 17:43:47 UTC
JON 3.2.1 released week of 5/5/2014


Note You need to log in before you can comment on or make changes to this bug.